# Enum Class PropertyType

java.lang.Object
java.lang.Enum<PropertyType>
com.independentsoft.pst.PropertyType

All Implemented Interfaces:
  `Serializable`, `Comparable<PropertyType>`, `Constable`

public enum PropertyType extends Enum<PropertyType>
Specifies the data type of a MAPI property value.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPLICATION_TIME`
  An application time, stored as a floating-point number of days (PT_APPTIME).
  `APPLICATION_TIME_ARRAY`
  A multiple-value array of application times (PT_MV_APPTIME).
  `BINARY`
  A binary value (PT_BINARY).
  `BINARY_ARRAY`
  A multiple-value array of binary values (PT_MV_BINARY).
  `BOOLEAN`
  A Boolean value (PT_BOOLEAN).
  `CURRENCY`
  A currency value, stored as a scaled 64-bit integer (PT_CURRENCY).
  `CURRENCY_ARRAY`
  A multiple-value array of currency values (PT_MV_CURRENCY).
  `DOUBLE`
  A 64-bit floating-point number (PT_DOUBLE).
  `DOUBLE_ARRAY`
  A multiple-value array of 64-bit floating-point numbers (PT_MV_DOUBLE).
  `ERROR`
  A 32-bit error code (PT_ERROR).
  `FLOAT`
  A 32-bit floating-point number (PT_FLOAT).
  `FLOAT_ARRAY`
  A multiple-value array of 32-bit floating-point numbers (PT_MV_FLOAT).
  `GUID`
  A GUID (PT_CLSID).
  `GUID_ARRAY`
  A multiple-value array of GUIDs (PT_MV_CLSID).
  `INTEGER`
  A signed 32-bit integer (PT_LONG).
  `INTEGER_ARRAY`
  A multiple-value array of 32-bit integers (PT_MV_LONG).
  `LONG`
  A signed 64-bit integer (PT_LONGLONG).
  `LONG_ARRAY`
  A multiple-value array of 64-bit integers (PT_MV_LONGLONG).
  `NULL`
  A null value (PT_NULL).
  `OBJECT`
  An embedded object (PT_OBJECT).
  `RESTRICTION`
  A restriction (PT_SRESTRICT).
  `RULE_ACTION`
  An array of rule actions (PT_ACTIONS).
  `SERVER_ID`
  A server entry identifier (PT_SVREID).
  `SHORT`
  A signed 16-bit integer (PT_SHORT).
  `SHORT_ARRAY`
  A multiple-value array of 16-bit integers (PT_MV_SHORT).
  `STRING`
  A Unicode character string (PT_UNICODE).
  `STRING_ARRAY`
  A multiple-value array of Unicode strings (PT_MV_UNICODE).
  `STRING8`
  An 8-bit (ANSI/code-page) character string (PT_STRING8).
  `STRING8_ARRAY`
  A multiple-value array of 8-bit (ANSI/code-page) strings (PT_MV_STRING8).
  `SYSTEM_TIME`
  A date and time, stored as a FILETIME (PT_SYSTIME).
  `SYSTEM_TIME_ARRAY`
  A multiple-value array of date-time values (PT_MV_SYSTIME).
  `UNSPECIFIED`
  The property type is unspecified (PT_UNSPECIFIED).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PropertyType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PropertyType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNSPECIFIED

    public static final PropertyType UNSPECIFIED
    The property type is unspecified (PT_UNSPECIFIED).

  - ### NULL

    public static final PropertyType NULL
    A null value (PT_NULL).

  - ### SHORT

    public static final PropertyType SHORT
    A signed 16-bit integer (PT_SHORT).

  - ### INTEGER

    public static final PropertyType INTEGER
    A signed 32-bit integer (PT_LONG).

  - ### FLOAT

    public static final PropertyType FLOAT
    A 32-bit floating-point number (PT_FLOAT).

  - ### DOUBLE

    public static final PropertyType DOUBLE
    A 64-bit floating-point number (PT_DOUBLE).

  - ### CURRENCY

    public static final PropertyType CURRENCY
    A currency value, stored as a scaled 64-bit integer (PT_CURRENCY).

  - ### APPLICATION_TIME

    public static final PropertyType APPLICATION_TIME
    An application time, stored as a floating-point number of days (PT_APPTIME).

  - ### ERROR

    public static final PropertyType ERROR
    A 32-bit error code (PT_ERROR).

  - ### BOOLEAN

    public static final PropertyType BOOLEAN
    A Boolean value (PT_BOOLEAN).

  - ### OBJECT

    public static final PropertyType OBJECT
    An embedded object (PT_OBJECT).

  - ### LONG

    public static final PropertyType LONG
    A signed 64-bit integer (PT_LONGLONG).

  - ### STRING8

    public static final PropertyType STRING8
    An 8-bit (ANSI/code-page) character string (PT_STRING8).

  - ### STRING

    public static final PropertyType STRING
    A Unicode character string (PT_UNICODE).

  - ### SYSTEM_TIME

    public static final PropertyType SYSTEM_TIME
    A date and time, stored as a FILETIME (PT_SYSTIME).

  - ### GUID

    public static final PropertyType GUID
    A GUID (PT_CLSID).

  - ### SERVER_ID

    public static final PropertyType SERVER_ID
    A server entry identifier (PT_SVREID).

  - ### RESTRICTION

    public static final PropertyType RESTRICTION
    A restriction (PT_SRESTRICT).

  - ### RULE_ACTION

    public static final PropertyType RULE_ACTION
    An array of rule actions (PT_ACTIONS).

  - ### BINARY

    public static final PropertyType BINARY
    A binary value (PT_BINARY).

  - ### SHORT_ARRAY

    public static final PropertyType SHORT_ARRAY
    A multiple-value array of 16-bit integers (PT_MV_SHORT).

  - ### INTEGER_ARRAY

    public static final PropertyType INTEGER_ARRAY
    A multiple-value array of 32-bit integers (PT_MV_LONG).

  - ### FLOAT_ARRAY

    public static final PropertyType FLOAT_ARRAY
    A multiple-value array of 32-bit floating-point numbers (PT_MV_FLOAT).

  - ### DOUBLE_ARRAY

    public static final PropertyType DOUBLE_ARRAY
    A multiple-value array of 64-bit floating-point numbers (PT_MV_DOUBLE).

  - ### CURRENCY_ARRAY

    public static final PropertyType CURRENCY_ARRAY
    A multiple-value array of currency values (PT_MV_CURRENCY).

  - ### APPLICATION_TIME_ARRAY

    public static final PropertyType APPLICATION_TIME_ARRAY
    A multiple-value array of application times (PT_MV_APPTIME).

  - ### LONG_ARRAY

    public static final PropertyType LONG_ARRAY
    A multiple-value array of 64-bit integers (PT_MV_LONGLONG).

  - ### STRING8_ARRAY

    public static final PropertyType STRING8_ARRAY
    A multiple-value array of 8-bit (ANSI/code-page) strings (PT_MV_STRING8).

  - ### STRING_ARRAY

    public static final PropertyType STRING_ARRAY
    A multiple-value array of Unicode strings (PT_MV_UNICODE).

  - ### SYSTEM_TIME_ARRAY

    public static final PropertyType SYSTEM_TIME_ARRAY
    A multiple-value array of date-time values (PT_MV_SYSTIME).

  - ### GUID_ARRAY

    public static final PropertyType GUID_ARRAY
    A multiple-value array of GUIDs (PT_MV_CLSID).

  - ### BINARY_ARRAY

    public static final PropertyType BINARY_ARRAY
    A multiple-value array of binary values (PT_MV_BINARY).

- ## Method Details

  - ### values

    public static PropertyType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PropertyType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null